/** @file
 * $Author: kusanagi $
 * $Date: 2005/03/04 15:54:11 $
 * $Revision: 3.0 $
 * 
 */

#ifndef TECHMODEL_FILTER_H
#define TECHMODEL_FILTER_H

#include "event/Filter.h"
#include "event/PacketType.h"
#include "event/SubPacket.h"
#include <list>
#include <string>

using namespace std;

namespace pamela {
  namespace techmodel {

    class TechmodelFilter: public Filter {
    private:
        list<string> *forbiddenPackets;
    public:
      TechmodelFilter(list<string>*);
      virtual void Init(void);
      virtual bool CheckPacket(PacketType*);
      virtual std::string GetVersionInfo(void) const;
      ClassDef(TechmodelFilter, 1)
    };
 }
}
#endif /* TECHMODEL_FILTER_H */


